# A Void Linux install (Unfinished)

This install is based on the [EFI boot stub](https://mth.st/blog/void-efistub/) blog entry from [Matthias Totschnig](https://mth.st/)

This guide focuses on a Void Linux x86-64 glibc install. It should be mostly applicable to musl aswell but probably not to different architectures.

In this install we're going to use gummiboot as bootloader and we're also going to encrypt the root partition.

Requirements:

- EFI system 

- x64 computer

- An internet connection

## Provisioning

First off you'll need to partition your drive. It should have atleast two partitions with one `EFI System` Partition and one `Linux filesystem` partition.

It should look something like this:

| Number of partition | Size | Type |
|:-----:|:-----:|:-----:            |
| 1     |  1 to 2 GB | EFI System        |
| 2     |  Rest of the drive | Linux filesystem  |


